%global         _hardened_build 1

Name:           pdf2djvu
Version:        0.7.21
Release:        3%{?dist}
Summary:        PDF to DjVu converter
Group:          Applications/Publishing
License:        GPLv2+
URL:            http://jwilk.net/software/pdf2djvu
Source0:        https://bitbucket.org/jwilk/pdf2djvu/downloads/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  djvulibre-devel djvulibre
BuildRequires:  libjpeg-devel
BuildRequires:  pkgconfig
BuildRequires:  poppler-devel
BuildRequires:  pstreams-devel
BuildRequires:  fontconfig-devel
Requires:       djvulibre

%description
pdf2djvu creates DjVu files from PDF files. It's able to extract:
graphics, text layer, hyperlinks, document outline (bookmarks) and
metadata.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p" install
install -p -m 644 -D {doc,%{buildroot}%{_mandir}/man1}/%{name}.1

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/de/man1/%{name}.1.gz
%{_mandir}/fr/man1/%{name}.1.gz
%{_mandir}/pl/man1/%{name}.1.gz
%{_mandir}/pt/man1/%{name}.1.gz
%{_mandir}/ru/man1/%{name}.1.gz
%{_mandir}/uk/man1/%{name}.1.gz

%changelog
* Fri Jan 22 2016 Marek Kasik <mkasik@redhat.com> - 0.7.21-3
- Rebuild for poppler-0.40.0

* Wed Jul 22 2015 Marek Kasik <mkasik@redhat.com> - 0.7.21-2
- Rebuild (poppler-0.34.0)

* Tue Jul 07 2015 François Cami <fcami@fedoraproject.org> - 0.7.21-1
- Update to latest upstream.

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.17-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.7.17-9
- Rebuilt for GCC 5 C++11 ABI change

* Fri Jan 23 2015 Marek Kasik <mkasik@redhat.com> - 0.7.17-8
- Rebuild (poppler-0.30.0)

* Mon Jan 05 2015 François Cami <fcami@fedoraproject.org> - 0.7.17-7
- Fix changelog date + use PIC

* Thu Nov 27 2014 Marek Kasik <mkasik@redhat.com> - 0.7.17-6
- Rebuild (poppler-0.28.1)

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.17-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.17-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 13 2014 Marek Kasik <mkasik@redhat.com> - 0.7.17-3
- Rebuild (poppler-0.26.0)

* Mon Aug 19 2013 Marek Kasik <mkasik@redhat.com> - 0.7.17-2
- Rebuild (poppler-0.24.0)

* Tue Aug 06 2013 François Cami <fcami@fedoraproject.org> - 0.7.17-1
- Update to latest upstream.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 24 2013 Marek Kasik <mkasik@redhat.com> - 0.7.16-2
- Rebuild (poppler-0.22.5)

* Wed May 22 2013 François Cami <fcami@fedoraproject.org> - 0.7.16-1
- Update to latest upstream.
- Drop throw-specifier.patch, annot-link.patch and pdf2djvu-0.7.4-poppler-0.20.0.patch

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.4-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 18 2013 Marek Kasik <mkasik@redhat.com> - 0.7.4-17
- Rebuild (poppler-0.22.0)

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.4-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul  2 2012 Marek Kasik <mkasik@redhat.com> - 0.7.4-15
- Fix building of pdf2djvu with poppler-0.20.x
- Resolves: #822407

* Mon Jul  2 2012 Marek Kasik <mkasik@redhat.com> - 0.7.4-14
- Rebuild (poppler-0.20.1)

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.4-13
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Oct 28 2011 Rex Dieter <rdieter@fedoraproject.org> - 0.7.4-11
- rebuild(poppler)

* Fri Sep 30 2011 Marek Kasik <mkasik@redhat.com> - 0.7.4-10
- Rebuild (poppler-0.18.0)

* Mon Sep 19 2011 Marek Kasik <mkasik@redhat.com> - 0.7.4-9
- Rebuild (poppler-0.17.3)

* Mon Aug  8 2011 Marek Kasik <mkasik@redhat.com> - 0.7.4-8
- Use AnnotLink instead of Link (poppler-0.17.0)
- Resolves: #698161

* Tue Mar 15 2011 Marek Kasik <mkasik@redhat.com> - 0.7.4-7
- Correct definition of derived class.

* Sun Mar 13 2011 Marek Kasik <mkasik@redhat.com> - 0.7.4-6
- Rebuild (poppler-0.16.3)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 02 2011 Rex Dieter <rdieter@fedoraproject.org> - 0.7.4-4
- rebuild (poppler)

* Wed Dec 15 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.7.4-3
- rebuild (poppler)

* Sat Nov 06 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.7.4-2
- rebuilt (poppler)

* Wed Oct  6 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.7.4-1
- update to 0.7.4

* Thu Aug 19 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.7.3-4
- rebuild (poppler)

* Tue May 25 2010 Rakesh Pandit <rakesh@fedoraproject.org> - 0.7.3-1
- Patch removed (in upstream now)

* Wed May 05 2010 Rakesh Pandit <rakesh@fedoraproject.org> - 0.7.2-3
- Fixed pdf-backend.cc error (pdf2djvu-0.7.2-pdf_backend_cc.patch)

* Wed May 05 2010 Rakesh Pandit <rakesh@fedoraproject.org> - 0.7.2-2
- Bump for new libpoppler.so.6

* Mon May 03 2010 Rakesh Pandit <rakesh@fedoraproject.org> - 0.7.2-1
- Updated to 0.7.2

* Sat Jan 30 2010 Rakesh Pandit <rakesh@fedoraproject.org> - 0.6.2-1
- Updated to 0.6.2

* Tue Aug 04 2009 Rakesh Pandit <rakesh@fedoraproject.org> - 0.5.11-1
- Updated to 0.5.11

* Mon Aug 03 2009 Rakesh Pandit <rakesh@fedoraproject.org> - 0.5.0-5
- Fixed the missing djvulibre require #500306

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Apr 29 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 0.5.0-3
- Fix FTBFS: added BR: djvulibre, fontconfig-devel.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 17 2009 Rakesh Pandit <rakesh@fedoraproject.org> 0.5.0-1
- Updated to 0.5.0

* Mon Nov 10 2008 Rakesh Pandit <rakesh@fedoraproject.org> 0.4.13-3
- Cleaned useless permissions in %%files section

* Sat Nov 08 2008 Rakesh Pandit <rakesh@fedoraproject.org> 0.4.13-2
- Saving timestamp, fixed buildrequires, corrected license and did some cleaning.

* Tue Nov 04 2008 Rakesh Pandit <rakesh@fedoraproject.org> 0.4.13-1
- Initial package.
